=== debian/changelog ===
maui-agenda (1.0.2+p24.04+vstable+git20250914.2215-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 14 Sep 2025 22:15:01 +0000
