=== debian/control ===
Source: maui-agenda
Section: utils
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kcoreaddons-dev,
               kf6-ki18n-dev,
               libmauikitcalendar-dev,
               mauikit-dev,
               mauiman-dev,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-webengine-dev
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/maui/maui-agenda
Vcs-Git: https://invent.kde.org/neon/neon-packaging/maui-agenda.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/maui-agenda
Maintainer: Neon CI <neon@kde.org>

Package: maui-agenda
Architecture: any
Depends: qml6-module-org-maui-mauikit,
         qml6-module-org-mauikit-calendar,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Agenda
 Calendar application built with MauiKit.
 .

Package: agenda
Depends: maui-agenda, ${misc:Depends}
Architecture: all
Description: transitional dummy package
 This is a transitional dummy package. It can safely be removed.
