## maui-agenda 1.0.2+p24.04+vstable+git20251001.0620

=== debian/changelog ===
maui-agenda (1.0.2+p24.04+vstable+git20251001.0620-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 01 Oct 2025 06:20:49 +0000
