## maui-agenda 1.0.2+p24.04+vstable+git20260205.0744

=== debian/changelog ===
maui-agenda (1.0.2+p24.04+vstable+git20260205.0744-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 05 Feb 2026 07:44:55 +0000
