## maui-agenda 1.0.2+p24.04+vunstable+git20251001.0515

=== debian/changelog ===
maui-agenda (1.0.2+p24.04+vunstable+git20251001.0515-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 01 Oct 2025 05:15:44 +0000
