## maui-agenda 1.0.2+p24.04+vunstable+git20251202.1426

=== debian/changelog ===
maui-agenda (1.0.2+p24.04+vunstable+git20251202.1426-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 02 Dec 2025 14:26:53 +0000
