## maui-agenda 1.0.2+p24.04+vunstable+git20260205.0843

=== debian/changelog ===
maui-agenda (1.0.2+p24.04+vunstable+git20260205.0843-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 05 Feb 2026 08:43:19 +0000
